Skip to main content
GET
/
?module=contract&action=getcontractcreation
Get Contract Creator and Creation Transaction Hash
curl --request GET \
  --url 'https://eth.blockscout.com/api/?module=contract&action=getcontractcreation'
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "contractAddress": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
      "contractCreator": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
      "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
    }
  ]
}

Query Parameters

module
enum<string>
required

Module name (must be 'contract')

Available options:
contract
action
enum<string>
required
Available options:
getcontractcreation
contractaddresses
string[]
required

Comma-separated list of contract addresses (max 10)

Maximum array length: 10

40-character hexadecimal address hash with 0x prefix

Pattern: ^0x[a-fA-F0-9]{40}$

Response

200 - application/json

Contract creation info retrieved successfully

status
enum<string>

Status code (1 = OK)

Available options:
1
message
string

Response message

Example:

"OK"

result
object[]